List API Keys

GET
/api/v1/api-keys

List all API keys for the authenticated tenant

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Query Parameters

pageSize?integer

Default 20, max 100

Range1 <= value <= 100
Default20
pageToken?string

Pass next_page_token from a prior response

Response Body

Default Response

application/json
  1. response
apiKeys*array<>
page*
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/api-keys'
Example Response200
{  "apiKeys": [    {      "apiKeyId": "37ba0474-c0bb-4910-bfb5-d6cebb614366",      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "name": "string",      "prefix": "string",      "active": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "metadata": {        "property1": "string",        "property2": "string"      },      "expiresAt": "2019-08-24T14:15:22Z",      "access": "full"    }  ],  "page": {    "nextPageToken": "string",    "total": -9007199254740991  }}